context = h_init()
context.set_state('ProjectSummary', 'observatory', 'Karl G. Jansky Very Large Array')
context.set_state('ProjectSummary', 'telescope', 'EVLA')
context.set_state('ProjectStructure', 'recipe_name', 'hifv_cal')
try:
    hifv_importdata(ocorr_mode='co', createmms='false', nocopy=False, overwrite=False, asis='Receiver CalAtmosphere', session=['default'], vis=['TDRW0001.sb35624494.eb35628826.58395.23719237269'])
    hifv_hanning(pipelinemode="automatic")
    hifv_flagdata(flagbackup=False, tbuff=0.0, hm_tbuff='1.5int', template=True, online=True, fracspw=0.05, edgespw=True, intents='*POINTING*,*FOCUS*,*ATMOSPHERE*,*SIDEBAND_RATIO*, *UNKNOWN*, *SYSTEM_CONFIGURATION*, *UNSPECIFIED#UNSPECIFIED*', baseband=True, clip=True, quack=True, scan=True, shadow=True, autocorr=True)
    hifv_vlasetjy(scalebychan=True, reffreq='1GHz', spix=0.0, fluxdensity=-1)
    hifv_priorcals(apply_tec_correction=False, show_tec_maps=True)
    hifv_testBPdcals(doflagundernspwlimit=False, refantignore='ea01,ea02,ea03,ea04,ea05,ea06,ea07,ea08,ea09,ea11,ea12,ea13,ea14,ea15,ea16,ea17,ea18,ea19,ea20,ea21,ea22,ea23,ea24,ea26,ea28', weakbp=False)
    hifv_checkflag(overwrite_modelcol=False, growflags=True)
    hifv_semiFinalBPdcals(refantignore='ea01,ea02,ea03,ea04,ea05,ea06,ea07,ea08,ea09,ea11,ea12,ea13,ea14,ea15,ea16,ea17,ea18,ea19,ea20,ea21,ea22,ea23,ea24,ea26,ea28', weakbp=False)
    hifv_checkflag(overwrite_modelcol=False, growflags=True, checkflagmode='semi')
    hifv_semiFinalBPdcals(refantignore='ea01,ea02,ea03,ea04,ea05,ea06,ea07,ea08,ea09,ea11,ea12,ea13,ea14,ea15,ea16,ea17,ea18,ea19,ea20,ea21,ea22,ea23,ea24,ea26,ea28', weakbp=False)
    hifv_solint(refantignore='ea01,ea02,ea03,ea04,ea05,ea06,ea07,ea08,ea09,ea11,ea12,ea13,ea14,ea15,ea16,ea17,ea18,ea19,ea20,ea21,ea22,ea23,ea24,ea26,ea28')
    hifv_fluxboot(refantignore='ea01,ea02,ea03,ea04,ea05,ea06,ea07,ea08,ea09,ea11,ea12,ea13,ea14,ea15,ea16,ea17,ea18,ea19,ea20,ea21,ea22,ea23,ea24,ea26,ea28', fitorder=2)
    hifv_finalcals(refantignore='ea01,ea02,ea03,ea04,ea05,ea06,ea07,ea08,ea09,ea11,ea12,ea13,ea14,ea15,ea16,ea17,ea18,ea19,ea20,ea21,ea22,ea23,ea24,ea26,ea28', weakbp=False)
    hifv_applycals(gainmap=False, flagdetailedsum=True, flagsum=True, flagbackup=True)
    hifv_targetflag(intents='*CALIBRATE*,*TARGET*')
    hifv_statwt(statwtmode='VLA', overwrite_modelcol=False, datacolumn='corrected')
    hifv_plotsummary(pipelinemode="automatic")
    hif_makeimlist(parallel='automatic', calcsb=False, per_eb=False, clearlist=True, robust=-999.0, nchan=-1, calmaxpix=300, specmode='cont', intent='PHASE,BANDPASS')
    hif_makeimages(parallel='automatic', overwrite_on_export=True, calcsb=False, cleancontranges=False, masklimit=4, tlimit=2.0, hm_maxpsffraction=-999.0, hm_minpsffraction=-999.0, hm_cyclefactor=-999.0, hm_npixels=0, hm_nsigma=0.0, hm_minpercentchange=-999.0, hm_growiterations=-999, hm_minbeamfrac=-999.0, hm_negativethreshold=-999.0, hm_lownoisethreshold=-999.0, hm_noisethreshold=-999.0, hm_sidelobethreshold=-999.0, hm_masking='none')
finally:
    h_save()
